> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a wallet transaction



## OpenAPI

````yaml /openapi.json get /wallets/transactions/{id}
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /wallets/transactions/{id}:
    get:
      tags:
        - wallets
      summary: Retrieve a wallet transaction
      operationId: Wallets.Web.Controller.get_transaction
      parameters:
        - description: Transaction ID
          example: ca55325a-3fa2-481a-b370-4bd212ba7846
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionResponse'
          description: Wallet
        '404':
          $ref: '#/components/responses/not_found'
      callbacks: {}
components:
  schemas:
    TransactionResponse:
      description: Response schema for a transaction
      properties:
        data:
          $ref: '#/components/schemas/Transaction'
      title: TransactionResponse
      type: object
    Transaction:
      description: Transaction details
      example:
        account_id: c2f9e33c-7f28-402b-974f-493546f11f2b
        amount:
          amount: 1000
          currency: USD
        correlation_id: 9f7d3278-71f4-44b0-968d-99ef6c0e983d
        created_at: '2025-08-08T11:17:34Z'
        customer_id: 0997de13-834c-4cc5-88ca-ca321730c938
        description: Id consequatur distinctio et!
        destination: null
        error: null
        fee:
          amount: 0
          currency: USD
        id: 48160506-2dbb-4f7d-ab2f-09af335aca1d
        metadata: {}
        reference: null
        source: null
        type: credit
        updated_at: '2025-08-08T11:17:34Z'
        wallet_id: c4f43392-1438-4ab4-8d85-5327f34ca238
      properties:
        account_id:
          description: Account Id
          type: string
        amount: c4169143-5d6a-4f75-b74b-488dcad4af47
        correlation_id:
          description: Correlation Id
          type: string
        customer_id:
          description: Customer Id
          type: string
        description:
          description: Transaction description
          type: string
        destination: b3837115-24d2-4e8d-8f95-5a7b2bc102d3
        error:
          description: Transaction error message
          nullable: true
          type: string
        fee: e4445460-22b4-408f-8b2a-54ecc9ea7bb0
        id:
          description: Id
          type: string
        reference:
          description: Transaction reference
          nullable: true
          type: string
        source: fe6788e2-0373-4f3d-ac39-d5060829ed52
        type:
          enum:
            - credit
            - debit
          type: string
        wallet_id:
          description: Wallet Id
          type: string
      title: Transaction
      type: object
  responses:
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found

````